bug-coreutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: coreutils-7.1.81-9b653 test results


From: Matthew Woehlke
Subject: Re: coreutils-7.1.81-9b653 test results
Date: Thu, 26 Mar 2009 18:14:28 -0500
User-agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.21) Gecko/20090320 Fedora/2.0.0.21-1.fc10 Thunderbird/2.0.0.21 Mnenhy/0.7.5.0

Matthew Woehlke wrote:
==== ppc/Darwin ====
5 of 370 fail, 59 skipped
122 pass, 7 skipped

FAIL: chmod/no-x.log (exit: 1)
==============================

+ chmod --version
chmod (GNU coreutils) 7.1.81-9b653
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie and Jim Meyering.
+ . ./test-lib.sh
++ unset function_test
++ eval 'function_test() { return 11; }; function_test'
+++ function_test
+++ return 11
++ test 11 '!=' 11
+++ pwd
++ test_dir_=/private/automount/home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/tests +++ this_test_ +++ echo ././chmod/no-x +++ sed 's,.*/,,' ++ this_test=no-x +++ /home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/src/mktemp -d --tmp=/private/automount/home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/tests cu-no-x.XXXXXXXXXX ++ t_=/private/automount/home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/tests/cu-no-x.4RSEN3Wksh

++ trap remove_tmp_ 0

++ trap 'Exit $?' 1 2 13 15

++ cd /private/automount/home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/tests/cu-no-x.4RSEN3Wksh

++ diff --version

++ grep GNU

+ skip_if_root_

+ uid_is_privileged_

++ id -u

+ my_uid=306

+ return 1

+ mkdir -p d/no-x/y a/b

+ chmod u=rw d/no-x

+ fail=0

+ chmod -R o=r d

+ prog=chmod

+ sed 's/^chmod: cannot access /chmod: /' out

+ mv t out

+ sed 's/^chmod: cannot read directory /chmod: /' out

+ mv t out

+ sed s,d/no-x/y,d/no-x, out

+ mv t out

+ cat

+ compare out exp

+ diff -u out exp

+ cd a

+ chmod a-x . b

+ fail=1

+ test 0 = 1

+ fail=1

+ Exit 1

+ set +e

+ exit 1

+ exit 1

+ remove_tmp_

+ __st=1

+ cleanup_

+ :

+ cd /private/automount/home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/tests

+ chmod -R u+rwx /private/automount/home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/tests/cu-no-x.4RSEN3Wksh + rm -rf /private/automount/home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/tests/cu-no-x.4RSEN3Wksh + exit 1


FAIL: rm/rm3.log (exit: 1)
==========================

+ rm --version
rm (GNU coreutils) 7.1.81-9b653
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

Written by Paul Rubin, David MacKenzie, Richard M. Stallman,
and Jim Meyering.
+ . ./test-lib.sh
++ unset function_test
++ eval 'function_test() { return 11; }; function_test'
+++ function_test
+++ return 11
++ test 11 '!=' 11
+++ pwd
++ test_dir_=/private/automount/home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/tests +++ this_test_ +++ echo ././rm/rm3 +++ sed 's,.*/,,' ++ this_test=rm3 +++ /home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/src/mktemp -d --tmp=/private/automount/home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/tests cu-rm3.XXXXXXXXXX ++ t_=/private/automount/home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/tests/cu-rm3.9tKwz3zXMk

++ trap remove_tmp_ 0

++ trap 'Exit $?' 1 2 13 15

++ cd /private/automount/home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/tests/cu-rm3.9tKwz3zXMk

++ diff --version

++ grep GNU

+ skip_if_root_

+ uid_is_privileged_

++ id -u

+ my_uid=306

+ return 1

+ mkdir -p z

+ cd z

+ touch empty empty-u

+ echo not-empty

+ ln -s empty-f slink

+ ln -s . slinkdot

+ mkdir d du

+ chmod u-w fu du empty-u

+ cd ..

+ fail=0

+ cat

+ rm -ir z

+ tr '?' '\n'

+ head --bytes=-1

+ sed 's/^ //'

+ sort

+ mv o2 out

+ sort

+ compare out exp

+ diff -u out exp

--- out 2009-03-26 13:57:45.000000000 -0700

+++ exp 2009-03-26 13:57:45.000000000 -0700

@@ -2,8 +2,8 @@

rm: remove directory `z'

rm: remove directory `z/d'

rm: remove regular empty file `z/empty'

-rm: remove regular file `z/fu'

rm: remove symbolic link `z/slink'

rm: remove symbolic link `z/slinkdot'

rm: remove write-protected directory `z/du'

rm: remove write-protected regular empty file `z/empty-u'

+rm: remove write-protected regular file `z/fu'

+ fail=1

+ test -d z

+ Exit 1

+ set +e

+ exit 1

+ exit 1

+ remove_tmp_

+ __st=1

+ cleanup_

+ :

+ cd /private/automount/home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/tests

+ chmod -R u+rwx /private/automount/home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/tests/cu-rm3.9tKwz3zXMk + rm -rf /private/automount/home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/tests/cu-rm3.9tKwz3zXMk + exit 1


FAIL: cp/fail-perm.log (exit: 1)
================================

+ cp --version
cp (GNU coreutils) 7.1.81-9b653
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

Written by Torbjörn Granlund, David MacKenzie, and Jim Meyering.
+ . ./test-lib.sh
++ unset function_test
++ eval 'function_test() { return 11; }; function_test'
+++ function_test
+++ return 11
++ test 11 '!=' 11
+++ pwd
++ test_dir_=/private/automount/home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/tests +++ this_test_ +++ echo ././cp/fail-perm +++ sed 's,.*/,,' ++ this_test=fail-perm +++ /home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/src/mktemp -d --tmp=/private/automount/home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/tests cu-fail-perm.XXXXXXXXXX ++ t_=/private/automount/home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/tests/cu-fail-perm.NHOyZlv6cg

++ trap remove_tmp_ 0

++ trap 'Exit $?' 1 2 13 15

++ cd /private/automount/home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/tests/cu-fail-perm.NHOyZlv6cg

++ diff --version

++ grep GNU

+ skip_if_root_

+ uid_is_privileged_

++ id -u

+ my_uid=306

+ return 1

+ chmod g-s .

+ mkdir D D/D

+ touch D/a

+ chmod 0 D/a

+ chmod u=rx,go=,-st D

+ fail=0

+ cp -pR D DD

++ ls -ld DD

++ cut -b-10

+ mode=dr-x------

+ test dr-x------ = dr-x------

+ chmod 0 D

+ ln -s D/D symlink

+ touch F

+ cat

+ cp F symlink

+ fail=1

+ sed 's/: The file access permissions.*/: Permission denied/'

+ mv o1 out

+ compare out exp

+ diff -u out exp

--- out 2009-03-26 14:04:38.000000000 -0700

+++ exp 2009-03-26 14:04:38.000000000 -0700

@@ -0,0 +1 @@

+cp: accessing `symlink': Permission denied

+ fail=1

+ cp --target-directory=symlink F

+ fail=1

+ sed 's/: The file access permissions.*/: Permission denied/'

+ mv o1 out

+ compare out exp

+ diff -u out exp

--- out 2009-03-26 14:04:38.000000000 -0700

+++ exp 2009-03-26 14:04:38.000000000 -0700

@@ -0,0 +1 @@

+cp: accessing `symlink': Permission denied

+ fail=1

+ chmod 700 D

+ Exit 1

+ set +e

+ exit 1

+ exit 1

+ remove_tmp_

+ __st=1

+ cleanup_

+ :

+ cd /private/automount/home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/tests

+ chmod -R u+rwx /private/automount/home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/tests/cu-fail-perm.NHOyZlv6cg + rm -rf /private/automount/home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/tests/cu-fail-perm.NHOyZlv6cg + exit 1


FAIL: du/inaccessible-cwd.log (exit: 1)
=======================================

+ du --version
du (GNU coreutils) 7.1.81-9b653
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

Written by Torbjörn Granlund, David MacKenzie, Paul Eggert,
and Jim Meyering.
+ . ./test-lib.sh
++ unset function_test
++ eval 'function_test() { return 11; }; function_test'
+++ function_test
+++ return 11
++ test 11 '!=' 11
+++ pwd
++ test_dir_=/private/automount/home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/tests +++ this_test_ +++ echo ././du/inaccessible-cwd +++ sed 's,.*/,,' ++ this_test=inaccessible-cwd +++ /home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/src/mktemp -d --tmp=/private/automount/home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/tests cu-inaccessible-cwd.XXXXXXXXXX


++ t_=/private/automount/home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/tests/cu-inaccessible-cwd.zb2wrXz09t

++ trap remove_tmp_ 0

++ trap 'Exit $?' 1 2 13 15

++ cd /private/automount/home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/tests/cu-inaccessible-cwd.zb2wrXz09t

++ diff --version

++ grep GNU

+ skip_if_root_

+ uid_is_privileged_

++ id -u

+ my_uid=306

+ return 1

++ pwd

+ cwd=/private/automount/home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/tests/cu-inaccessible-cwd.zb2wrXz09t

+ mkdir -p no-x a/b

+ cd no-x

+ chmod 0 .

+ fail=0

+ du /private/automount/home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/tests/cu-inaccessible-cwd.zb2wrXz09t/a du: unable to record current working directory: Permission denied

+ fail=1

+ Exit 1

+ set +e

+ exit 1

+ exit 1

+ remove_tmp_

+ __st=1

+ cleanup_

+ :

+ cd /private/automount/home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/tests

+ chmod -R u+rwx /private/automount/home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/tests/cu-inaccessible-cwd.zb2wrXz09t + rm -rf /private/automount/home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/tests/cu-inaccessible-cwd.zb2wrXz09t + exit 1


FAIL: mv/i-2.log (exit: 1)
==========================

+ mv --version
mv (GNU coreutils) 7.1.81-9b653
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

Written by Mike Parker, David MacKenzie, and Jim Meyering.
+ cp --version
cp (GNU coreutils) 7.1.81-9b653
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

Written by Torbjörn Granlund, David MacKenzie, and Jim Meyering.
+ . ./test-lib.sh
++ unset function_test
++ eval 'function_test() { return 11; }; function_test'
+++ function_test
+++ return 11
++ test 11 '!=' 11
+++ pwd
++ test_dir_=/private/automount/home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/tests +++ this_test_ +++ echo ././mv/i-2 +++ sed 's,.*/,,' ++ this_test=i-2 +++ /home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/src/mktemp -d --tmp=/private/automount/home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/tests cu-i-2.XXXXXXXXXX ++ t_=/private/automount/home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/tests/cu-i-2.BJ7JKkA6WP

++ trap remove_tmp_ 0

++ trap 'Exit $?' 1 2 13 15

++ cd /private/automount/home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/tests/cu-i-2.BJ7JKkA6WP

++ diff --version

++ grep GNU

+ skip_if_root_

+ uid_is_privileged_

++ id -u

+ my_uid=306

+ return 1

+ echo a

+ echo b

+ echo c

+ echo d

+ echo e

+ echo f

+ echo g

+ echo h

+ chmod 0 b d f h

+ echo y

+ fail=0

+ mv -if a b

+ mv -fi c d

+ cp -if e f

++ cat out

+ fail=1

+ test -f e

+ test -f f

+ compare e f

+ diff -u e f

diff: f: Permission denied

+ fail=1

+ cp -fi g h

+ test -f g

+ test -f h

+ compare g h

+ diff -u g h

diff: h: Permission denied

+ fail=1

+ Exit 1

+ set +e

+ exit 1

+ exit 1

+ remove_tmp_

+ __st=1

+ cleanup_

+ :

+ cd /private/automount/home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/tests

+ chmod -R u+rwx /private/automount/home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/tests/cu-i-2.BJ7JKkA6WP + rm -rf /private/automount/home/install/gnu/build/power_darwin/coreutils-7.1.81-9b653/tests/cu-i-2.BJ7JKkA6WP + exit 1



--
Matthew
Please do not quote my e-mail address unobfuscated in message bodies.
--
"We're all mad here. I'm mad. You're mad... You must be, or you wouldn't have come here." -- The Cheshire Cat (from Lewis Carroll's Alice in Wonderland)





reply via email to

[Prev in Thread] Current Thread [Next in Thread]